Skip to main content
PATCH
/
v1
/
faces
/
{face_id}
Update Face
curl --request PATCH \
  --url https://api.faces.sh/v1/faces/{face_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "basic_facts": {},
  "default_tools": [
    "<string>"
  ],
  "default_model": "<string>",
  "formula": "<string>"
}
'
{
  "alias": "<string>",
  "created": 123,
  "owned_by": "<string>",
  "uid": "<string>",
  "object": "face",
  "name": "<string>",
  "basic_facts": {},
  "default_tools": [
    "<string>"
  ],
  "default_model": "<string>",
  "formula": "<string>",
  "profile_token_count": 123,
  "total_tokens_saved": 123,
  "component_counts": {
    "alpha": 0,
    "beta": 0,
    "delta": 0,
    "epsilon": 0
  },
  "warnings": [
    "<string>"
  ]
}

Headers

authorization
string | null

Path Parameters

face_id
string
required

Body

application/json

Request to update a face.

name
string | null
basic_facts
Basic Facts · object
default_tools
string[] | null
default_model
string | null
formula
string | null

Response

Successful Response

Public representation of a user-created face (model IAM).

The face's unique slug is exposed as alias at the API boundary. Internally this maps to the IAM vertex's username property in JanusGraph.

alias
string
required
created
integer
required
owned_by
string
required
uid
string | null
object
string
default:face
name
string | null
basic_facts
Basic Facts · object
default_tools
string[] | null
default_model
string | null
formula
string | null
profile_token_count
integer | null
total_tokens_saved
integer | null
component_counts
FaceComponentCounts · object
warnings
string[] | null